bindings/python: Bump bindings version to 0.6
[notmuch] / bindings / python / setup.py
1 #!/usr/bin/env python
2
3 from distutils.core import setup
4 from notmuch import __VERSION__
5 setup(name='notmuch',
6       version=__VERSION__,
7       description='Python binding of the notmuch mail search and indexing library.',
8       author='Sebastian Spaeth',
9       author_email='Sebastian@SSpaeth.de',
10       url='http://notmuchmail.org/',
11       download_url='http://notmuchmail.org/releases/notmuch-'+__VERSION__+'.tar.gz',
12       packages=['notmuch'],
13       keywords = ["library", "email"],
14       long_description="""Overview
15 ==============
16
17 The notmuch  module provides an interface to the `notmuch <http://notmuchmail.org>`_ functionality, directly interfacing with a shared notmuch library. Notmuch provides a maildatabase that allows for extremely quick searching and filtering of your email according to various criteria.
18
19 The documentation for the latest cnotmuch release can be `viewed online <http://packages.python.org/notmuch>`_.
20
21 The classes notmuch.Database, notmuch.Query  provide most of the core functionality, returning notmuch.Messages and notmuch.Tags.
22
23 Installation and Deinstallation
24 -------------------------------
25
26 notmuch is included in the upstream notmuch source repository and it is
27 packaged on http://pypi.python.org. This means you can do "easy_install
28 notmuch" (or using pip) on your linux box and it will get installed
29 into:
30
31 /usr/local/lib/python2.x/dist-packages/
32
33 For uninstalling, you will need to remove the "notmuch-0.x-py2.x.egg"
34 directory and delete one entry refering to cnotmuch in the
35 "easy-install.pth" file in that directory. There should be no trace
36 left of cnotmuch then.
37
38 Requirements
39 ------------
40
41 You need to have notmuch installed (or rather libnotmuch.so.1). The
42 release version 0.3 should work fine. Also, notmuch makes use of the
43 ctypes library, and has only been tested with python 2.5. It will not
44 work on earlier python versions.
45 """,
46       classifiers=['Development Status :: 2 - Pre-Alpha',
47                    'Intended Audience :: Developers',
48                    'License :: OSI Approved :: GNU General Public License (GPL)',
49                    'Programming Language :: Python :: 2',
50                    'Programming Language :: Python :: 3',
51                    'Topic :: Communications :: Email',
52                    'Topic :: Software Development :: Libraries'
53                    ],
54       platforms='',
55       license='http://www.gnu.org/licenses/gpl-3.0.txt',
56      )